﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Drawing;
using ThinkGeo.MapSuite.Shapes;
using System.Collections.ObjectModel;
using ThinkGeo.MapSuite.Wpf;

namespace _8899
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            string path = "";
            string tableName = "";

            PersonalGeoDatabaseFeatureLayer personalGeoDatabaseFeatureLayer = new PersonalGeoDatabaseFeatureLayer(path, "FeatGUID", null, tableName);

            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Green);
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.CreateSimpleLineStyle(GeoColor.FromArgb(100, GeoColor.SimpleColors.Green), 2, true);
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.CreateSimplePointStyle(PointSymbolType.Cross, GeoColor.SimpleColors.Green, 2);
            personalGeoDatabaseFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            personalGeoDatabaseFeatureLayer.Open(); //This is where the error happens

            Collection<Feature> features = personalGeoDatabaseFeatureLayer.FeatureSource.GetAllFeatures(ReturningColumnsType.AllColumns);
            

            LayerOverlay layerOverlay = new LayerOverlay();
           
            layerOverlay.Layers.Add(personalGeoDatabaseFeatureLayer);
            map.Overlays.Add(layerOverlay);            
            map.CurrentExtent = personalGeoDatabaseFeatureLayer.GetBoundingBox();
            personalGeoDatabaseFeatureLayer.Close();
            map.Refresh();
        }
    }
}
